pyparsing (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.1
    - Fix Word(min=...) regression (Closes: #1050783)

 -- Timo Röhling <roehling@debian.org>  Thu, 31 Aug 2023 23:46:14 +0200

pyparsing (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.0
  * Update d/copyright
  * Update Build-Depends
  * Bump Standards-Version to 4.6.2
  * Upgrade d/watch to version 4 format

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Jun 2023 23:57:40 +0200

pyparsing (3.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.9
  * Update packaging
  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 23:08:10 +0100

pyparsing (3.0.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Helmut Grohne ]
  * Mark python3-pyparsing Multi-Arch: foreign. (Closes: #1023363)

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Nov 2022 08:39:02 +0100

pyparsing (3.0.7-2) unstable; urgency=medium

  * Team upload.
  * Fix build time tests:
    - Fix missing Build-Depends on python3-pytest.
    - Copy files needed for tests into test location using pybuild
      (Closes: #1005470).
  * Fix autopkgtest tests:
    - Run the correct test command (Closes: #1006004).
    - Test against all supported interpreters.
    - Copy files needed for tests into test location.
  * Declare Breaks against old versions of translate-toolkit that are broken
    by new upstream version of pyparsing so they migrate together.

 -- Stuart Prescott <stuart@debian.org>  Thu, 07 Apr 2022 01:23:34 +1000

pyparsing (3.0.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Barry Warsaw <barry@debian.org>. Closes: #970158
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Matthew Grant ]
  * New upstream version 3.0.7
  * Bifurcate package git archive pyparsing and pyparsing2, to create
    pypy only pyparsing2 packages (Bug #997839), in response to CPython only
    PyParsing 3.x due to upstream using pypy incompatible typing and type hints.
  * Update python-pyparsing2-doc doc-base file for new
    pyparsing-pyparsing2-doc /usr/share/doc/pyparsing-pyparsing2-doc dir.

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 08 Feb 2022 12:43:56 +1300

pyparsing (2.4.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 May 2020 13:53:33 -0400

pyparsing (2.4.6-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937503

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Apr 2020 23:53:22 -0400

pyparsing (2.4.6-1) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * add unitTests to debian/tests

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.4.6
  * Set upstream metadata fields: Bug-Database, Bug-Submit
    and append .git to Repository
  * Update Standards-Version to 4.5.0
  * Add sphinxdoc:Depends to doc package
  * Remove obsolete files d/README.source, d/new-upstream and
    cleaned d/watch since source no longer gets repacked
  * Add Rules-Requires-Root: no

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 24 Jan 2020 23:07:06 +0100

pyparsing (2.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Drew Parsons ]
  * New upstream release.
  * Standards-Version: 4.4.0
  * Build-Depends: debhelper-compat (= 12)
    - doc-base: places docs under python-pyparsing doc dir
  * update Homepage to https://github.com/pyparsing/pyparsing/
  * mark python-pyparsing-doc as Multi-Arch: foreign
  * exclude bytecode (pyc,__pycache__) from examples
  * add debian/tests (autopkgtest)
  * remove Kevin Coyner <kcoyner@debian.org> from Uploaders. Thanks
    for your great work in the past! Closes: #929551.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Sep 2019 05:08:36 +0800

pyparsing (2.2.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:32:31 +0000

pyparsing (2.2.0+dfsg1-1) experimental; urgency=medium

  [ Barry Warsaw ]
  * d/control: Fix short descriptions.  (Closes: #844363)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Thomas Goirand ]
  * Team upload to Experimental.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Switched to debhelper 10.
  * Removed now useless python version in build-depends.
  * Standards-Version is now 4.1.3.
  * Fixed debian/copyright FSF address and reference to full license text, plus
    removed lintian overrides that were hiding the problems.
  * Fixed descriptions.
  * Added myself as uploader, since it looks like I'm the person uploading
    updates.
  * Add a doc-base file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 10:08:38 +0000

pyparsing (2.1.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 18 Oct 2016 10:51:26 -0400

pyparsing (2.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Wed, 21 Sep 2016 12:04:41 -0400

pyparsing (2.1.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Use Files-Excluded header to remove non-DFSG files.
  * d/watch:
    - Set opts for the repacking and mangling of the version number to +dfsg1
    - Use the pypi.debian.net redirector.
  * d/rules: Remove get-orig-source target since with the above changes,
    uscan(1) will now do the right thing.

 -- Barry Warsaw <barry@debian.org>  Thu, 18 Aug 2016 13:40:29 -0400

pyparsing (2.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Convert to DEP-5.  (Closes: #823922)
  * d/*.lintian-overrides: Added as necessary.

 -- Barry Warsaw <barry@debian.org>  Fri, 12 Aug 2016 18:58:05 -0400

pyparsing (2.1.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Aug 2016 13:49:32 -0400

pyparsing (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Remove the explicit Testsuite header since this is turned
    on by default now.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jun 2016 07:07:52 -0400

pyparsing (2.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 17 May 2016 16:22:06 -0400

pyparsing (2.1.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Suggest python-pyparsing-doc (Closes: #735542)
    - Change `XS-Testsuite: autopkgtest` to use the shiny new goodness
      `Testsuite: autopkgtest-pkg-python` and remove the d/tests directory
      as redundant.  (Closes: #710660)
    - Bump Standards-Version with no other changes necessary.
    - Build the PyPy packages.  (Closes: #823560)
    - With previous maintainer's approval, move DPMT to Maintainer, move
      previous maintainer to Uploaders and add myself to Uploaders.
  * d/rules:
    - Convert to --buildsystem=pybuild
    - Remove redundant code.
    - Add --with pypy
  * wrap-and-sort

 -- Barry Warsaw <barry@debian.org>  Mon, 09 May 2016 20:22:47 -0400

pyparsing (2.0.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Use the PyPI URL.

 -- Barry Warsaw <barry@debian.org>  Thu, 16 Oct 2014 09:32:41 -0400

pyparsing (2.0.2+dfsg1-1) unstable; urgency=low

  [ Thomas Goirand ]
  * Added missing build-depends: python-setuptools, python3-setuptools.
  * Ran wrap-and-sort.

  [ Matthew Grant ]
  * New upstream release. Has fix for ParseBaseException.markInputline() i
    - "".join() given more than one argument i and other Pytyhon 3.x bugs
    (Closes: #744014)

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 08 Jun 2014 10:11:52 +1200

pyparsing (2.0.1+dfsg1-1) unstable; urgency=low

  * New upstream release
  * provide python3-pyparsing again
  * add autopkgtests (Closes: #706317)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 11 Sep 2013 12:22:36 +0200

pyparsing (1.5.7+dfsg1-2) unstable; urgency=low

  * Uploading to unstable.
  * Re-added mistakenly dos 2 unix conversion in debian/rules, thanks to Jakub
    wilk for pointing it out.
  * Removed python3 calls in debian/rules (otherwise FTBFS in a clean chroot
    because of missing build-depends).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 02:37:20 +0000

pyparsing (1.5.7+dfsg1-1) experimental; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * New upstream release, which handles only python 2.x.
  * Team upload.
  * Kills the python3 support, as this is now packaged in a new source package
    called python3-pyparsing, due to upstream separating development into 2
    packages as well (current version 1.5.7 doesn't have python3 support at
    all anymore).
  * Upload to experimental to handle a smooth transition (see above).
  * Switched compat and debhelper to version 9.
  * Bumped Standard-Version to 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 May 2013 08:26:21 +0000

pyparsing (1.5.6+dfsg1-2) unstable; urgency=low

  * Team upload
  * Use python3 depends/provides instead of python for python3-pyparsing to
    correct dependencies (Closes: 681537)
    - Thanks to Michael Terry/Ubuntu for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Jul 2012 00:17:19 -0400

pyparsing (1.5.6+dfsg1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #667798)
    - drop patch debian/patches/01_leaveWhitespace.dpatch (upstream
      documentation matches API)
    - repack upstream tarball to remove sourceless docs/*.pdf
  * add debian/new-upstream and change debian/watch to automate upstream
    repacking
  * add debian/README.source to document the repacking
  * add get-orig-source to debian/rules
  * switch to source format 3.0 (quilt) (Closes: #670191)
  * drop dpatch dependency
  * switch to dh
  * add documentation and Python3 package (Closes: #667797)
  * switch from python-support to dh_python2 and dh_python3 (Closes:
    #631404)
  * remove build in debian/rules clean to fix FTBFS twice in a row

 -- Jan Dittberner <jandd@debian.org>  Sat, 19 May 2012 22:10:35 +0200

pyparsing (1.5.2-2) unstable; urgency=low

  * debian/rules
    - use globbing to remove pyparsing_py3.py (working around cdbs that installs
      libs into /usr/lib/python2.6/site-packages/); thanks to Jakub Wilk for the
      report; Closes: #571505
  * debian/README.source
    - added (as required by Policy >= 3.8.0)
    - bump Standards-Version to 3.8.4 (no changes needed)
    - b-d only on python (not on python-dev) since building only arch:all pkgs

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 01 Mar 2010 19:18:10 +0100

pyparsing (1.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    * updated standards version to 3.8.1, no changes necessary
    * bumped build dependency on python-dev to 2.5.4-1~
  * debian/rules
   * call setup.py with --install-layout=deb

 -- Torsten Marek <shlomme@debian.org>  Thu, 21 May 2009 21:56:37 +0200

pyparsing (1.5.1-2) unstable; urgency=low

  * Upload to unstable
  * debian/compat
    - bump debhelper compatibility to 7
  * debian/control
    - remove old replaces/conflicts entries
    - bump debhelper dependency to 7
    - depend on python-dev, not python-all-dev
  * debian/pycompat
    - removed, not needed anymore

 -- Torsten Marek <shlomme@debian.org>  Mon, 09 Mar 2009 18:21:38 +0100

pyparsing (1.5.1-1) experimental; urgency=low

  [ Torsten Marek ]
  * New upstream release.

  [Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 18:33:20 +0100

pyparsing (1.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - updated standards version to 3.8.0, no changes necessary
    - fix small bug in description (Closes: #481883)

 -- Torsten Marek <shlomme@debian.org>  Tue, 01 Jul 2008 17:04:58 +0200

pyparsing (1.4.11-2) unstable; urgency=low

  * Reinstate release 1.4.10-2 changes, which I inadvertently omitted.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 24 Feb 2008 18:14:15 -0500

pyparsing (1.4.11-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depends on dpatch and add small patch to fix documentation of
    leaveWhitespace() in HowToUsePyparsing.html. Closes: #381627.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 24 Feb 2008 13:22:57 -0500

pyparsing (1.4.10-2) unstable; urgency=low

  * debian/control
    - uniforming both Vcs-Svn and Vcs-Browser fields

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 03 Jan 2008 11:56:47 +0100

pyparsing (1.4.10-1) unstable; urgency=low

  * New upstream release
  * Added Vcs-Svn and Vcs-Browser fields in debian/control.
  * Added myself to the Uploaders field.
  * Drop X{S,B}-Python-Version control fields, deprecated in
    new python-support versions.
 -- Torsten Marek <shlomme@debian.org>  Mon, 10 Dec 2007 23:22:08 +0100

pyparsing (1.4.7-1) unstable; urgency=low

  * New upstream version. Closes: #437400.
  * New maintainer. Closes: #440781.
  * Acknowledge NMU. Closes: #373503.
  * debian/control:
    + Changed Build-Depends-Indep from sysutils to tofrodos. Closes: #382170.
    + Bumped python-support version to >= 0.5.3 in Build-Depends-Indep.
    + Added XS-Python-Version: all.
    + Added Uploaders: Debian Python Modules Team
  * setWhitespaceChars in pyparsing.py was missing a return statement. Fixed
    in version 1.4.5. Closes: #418711.
  * Removed unneeded debian/python-pyparsing.README.Debian.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 14:53:52 -0400

pyparsing (1.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to new python policy (Closes: #373503).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 29 Jun 2006 23:20:52 +0200

pyparsing (1.4.2-1) unstable; urgency=low

  * New upstream release (closes: #351648).
  * Install the new documents from docs/*.

 -- Tommi Virtanen <tv@debian.org>  Fri,  5 May 2006 23:06:20 +0300

pyparsing (1.3.3-2) unstable; urgency=low

  * It seems the PNG corruption from #310533 was caused by a packaging
    bug. Embarassing. Should not happen any more (closes: #346268).

 -- Tommi Virtanen <tv@debian.org>  Sun,  8 Jan 2006 20:33:45 +0200

pyparsing (1.3.3-1) unstable; urgency=low

  * New upstream release (closes: #305639).
  * pyparsingClassDiagram.PNG seems to be uncorrupted now
    (closes: #310533).
  * Added watch file as requested (closes: #330725)

 -- Tommi Virtanen <tv@debian.org>  Mon,  3 Oct 2005 19:05:47 +0300

pyparsing (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #289652).
  * Apparently python2.2 is no longer supported by upstream, remove
    python2.2-pyparsing.
  * Add python2.4-pyparsing to maintain cosmic balance. Build-depend on
    cdbs 0.4.26-1 or newer.
  * Fix examples/configParse.py, which assumed case-insensitive filesystem
    (closes: #273561).
  * Convert CRLF to LF in the installed files, build-dep on sysutils
    (closes: #290201).
  * Shorten the description.
  * Put all documents to python-pyparsing, only ship them once, and add a
    README.Debian pointing this out. They are small enough that I do not
    feel providing a separate package for them is necessary.
  * Bump standards version to 3.6.1.

 -- Tommi Virtanen <tv@debian.org>  Wed,  9 Mar 2005 20:36:09 +0200

pyparsing (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Sat, 26 Jun 2004 00:30:32 +0300
